## ros-kinetic-rb1-base-description 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rb1_base_description)

find_package(catkin REQUIRED COMPONENTS
  roslaunch
  urdf
  xacro
  robotnik_sensors
)


catkin_package(
  CATKIN_DEPENDS urdf xacro
)

include_directories(${catkin_INCLUDE_DIRS})

install(
  DIRECTORY launch meshes urdf robots
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rb1-base-description (1.1.0-0xenial) xenial; urgency=high

  * rb1_base_description: added contact link
  * Contributors: Marc Bosch

 -- Roberto Guzmán <rguzman@robotnik.es>  Wed, 21 Sep 2016 22:00:00 -0000

ros-kinetic-rb1-base-description (1.0.5-0xenial) xenial; urgency=high

  * publishing wheels tf in diff drive gazebo plugin
  * Contributors: AliquesTomas

 -- Roberto Guzmán <rguzman@robotnik.es>  Thu, 21 Jul 2016 22:00:00 -0000

ros-kinetic-rb1-base-description (1.0.4-0xenial) xenial; urgency=high

  * rb1_base_common package added to kinetic
  * Contributors: AliquesTomas
  * rb1_base_common package added to kinetic
  * Contributors: AliquesTomas

 -- Roberto Guzmán <rguzman@robotnik.es>  Wed, 20 Jul 2016 22:00:00 -0000

ros-kinetic-rb1-base-description (1.0.3-0xenial) xenial; urgency=high



 -- Roberto Guzmán <rguzman@robotnik.es>  Wed, 06 Jul 2016 22:00:00 -0000

ros-kinetic-rb1-base-description (1.0.2-0xenial) xenial; urgency=high



 -- Roberto Guzmán <rguzman@robotnik.es>  Tue, 05 Jul 2016 22:00:00 -0000

ros-kinetic-rb1-base-description (1.0.1-0xenial) xenial; urgency=high

  * deleted ~ files
  * Added rb1_base_common packages
  * removed gazebo plugin (in effort) and changed wheel controller to velocity
  * updated stl and dae files
  * added sensor to non standalone platform
  * updated to integrate corrected orbbec sensor
  * added v2 platform files
  * deleted local urdf sensors
  * added new cad files
  * added description and pad folders
  * Contributors: AliquesTomas, rguzman, rguzman1

 -- Roberto Guzmán <rguzman@robotnik.es>  Tue, 05 Jul 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rb1-base-description
Section: misc
Priority: extra
Maintainer: Roberto Guzmán <rguzman@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-robotnik-sensors, ros-kinetic-roslaunch, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: http://wiki.ros.org/rb1_base_description
Standards-Version: 3.9.2

Package: ros-kinetic-rb1-base-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-robot-state-publisher, ros-kinetic-robotnik-sensors, ros-kinetic-urdf, ros-kinetic-xacro
Description: The rb1_base_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rb1-base-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
